<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_86e12158655" . "092a9838a837" . "f6cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNfcGt" . "nLnBocA=="), "_9410d17985408ab6a2962e6fdb621" . "c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWV" . "wYXR0ZXJudGFnLnZlcg" . "=="), "_eb56828483919e173c6ab77" . "2a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1l" . "bnQ="), "_5fde92609a43c9160" . "462278aec060406" => base64_decode("Y29tbW9uLnVua" . "25vd24="), "_7ee25317ffedb4fe27bf0b5036469b9" . "4" => base64_decode("Y29tbW9uLnR5c" . "GUuZm9sZGVy"), "_0c5123aa744f69bbc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZw=" . "="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_86e12158655092a9838a8" . "37f6cf6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_86e12158655092a9" . "838a837f6cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7ee2531" . "7ffedb4f" . "e27bf0b5" . "036469b9" . "4"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_eb568284839" . "19e173c6ab77" . "2a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_9410d17985408ab6a2962e" . "6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5fde92609a43c9160462278aec0" . "60406"]);
    }
}